--- old/usr/src/man/man3lib/libproc.3lib	Mon Oct 15 13:25:44 2018
+++ new/usr/src/man/man3lib/libproc.3lib	Mon Oct 15 13:25:44 2018
@@ -9,9 +9,9 @@
 .\" http://www.illumos.org/license/CDDL.
 .\"
 .\"
-.\" Copyright 2015 Joyent, Inc.
+.\" Copyright 2018 Joyent, Inc.
 .\"
-.Dd June 06, 2016
+.Dd August 31, 2018
 .Dt LIBPROC 3LIB
 .Os
 .Sh NAME
@@ -217,34 +217,34 @@
 .It Sy Plmid_to_loadobj Ta Sy Plmid_to_map
 .It Sy Plookup_by_addr Ta Sy Plookup_by_name
 .It Sy Plwp_alt_stack Ta Sy Plwp_getfpregs
-.It Sy Plwp_getpsinfo Ta Sy Plwp_getregs
-.It Sy Plwp_getspymaster Ta Sy Plwp_main_stack
-.It Sy Plwp_setfpregs Ta Sy Plwp_setregs
-.It Sy Plwp_stack Ta Sy Pname_to_ctf
-.It Sy Pname_to_loadobj Ta Sy Pname_to_map
-.It Sy Pobjname Ta Sy Pobjname_resolved
-.It Sy Pplatform Ta Sy Ppltdest
-.It Sy Ppriv Ta Sy Ppsinfo
-.It Sy Pputareg Ta Sy Prd_agent
-.It Sy Pread Ta Sy Pread_string
-.It Sy Preset_maps Ta Sy Psetbkpt
-.It Sy Psecflags Ta Sy Psetcred
-.It Sy Psetfault Ta Sy Psetflags
-.It Sy Psetpriv Ta Sy Psetrun
-.It Sy Psetsignal Ta Sy Psetsysentry
-.It Sy Psetsysexit Ta Sy Psetwapt
-.It Sy Psetzoneid Ta Sy Psignal
-.It Sy Pstate Ta Sy Pstatus
-.It Sy Pstop Ta Sy Pstopstatus
-.It Sy Psync Ta Sy Psysentry
-.It Sy Psysexit Ta Sy Puname
-.It Sy Punsetflags Ta Sy Pupdate_maps
-.It Sy Pupdate_syms Ta Sy Pwait
-.It Sy Pwrite Ta Sy Pxecbkpt
-.It Sy Pxecwapt Ta Sy Pxlookup_by_addr
-.It Sy Pxlookup_by_addr_resolved Ta Sy Pxlookup_by_name
-.It Sy Pzonename Ta Sy Pzonepath
-.It Sy Pzoneroot Ta
+.It Sy Plwp_getname Ta Sy Plwp_getpsinfo
+.It Sy Plwp_getregs Ta Sy Plwp_getspymaster
+.It Sy Plwp_main_stack Ta Sy Plwp_setfpregs
+.It Sy Plwp_setregs Ta Sy Plwp_stack
+.It Sy Pname_to_ctf Ta Sy Pname_to_loadobj
+.It Sy Pname_to_map Ta Sy Pobjname
+.It Sy Pobjname_resolved Ta Sy Pplatform
+.It Sy Ppltdest Ta Sy Ppriv
+.It Sy Ppsinfo Ta Sy Pputareg
+.It Sy Prd_agent Ta Sy Pread
+.It Sy Pread_string Ta Sy Preset_maps
+.It Sy Psetbkpt Ta Sy Psecflags
+.It Sy Psetcred Ta Sy Psetfault
+.It Sy Psetflags Ta Sy Psetpriv
+.It Sy Psetrun Ta Sy Psetsignal
+.It Sy Psetsysentry Ta Sy Psetsysexit
+.It Sy Psetwapt Ta Sy Psetzoneid
+.It Sy Psignal Ta Sy Pstate
+.It Sy Pstatus Ta Sy Pstop
+.It Sy Pstopstatus Ta Sy Psync
+.It Sy Psysentry Ta Sy Psysexit
+.It Sy Puname Ta Sy Punsetflags
+.It Sy Pupdate_maps Ta Sy Pupdate_syms
+.It Sy Pwait Ta Sy Pwrite
+.It Sy Pxecbkpt Ta Sy Pxecwapt
+.It Sy Pxlookup_by_addr Ta Sy Pxlookup_by_addr_resolved
+.It Sy Pxlookup_by_name Ta Sy Pzonename
+.It Sy Pzonepath Ta Sy Pzoneroot Ta
 .El
 .Ss Thread interrogation and manipulation
 The following routines obtain information about a thread and allow
--- old/usr/src/man/man3proc/Makefile	Mon Oct 15 13:25:51 2018
+++ new/usr/src/man/man3proc/Makefile	Mon Oct 15 13:25:51 2018
@@ -12,12 +12,12 @@
 #
 # Copyright 2011, Richard Lowe
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2015 Joyent, Inc.
+# Copyright 2018 Joyent, Inc.
 #
 
 include		$(SRC)/Makefile.master
 
-MANSECT= 	3proc
+MANSECT=	3proc
 
 MANFILES=					\
 		Lctlfd.3proc			\
@@ -64,6 +64,7 @@
 		Plookup_by_addr.3proc		\
 		Plwp_getasrs.3proc		\
 		Plwp_getgwindows.3proc		\
+		Plwp_getname.3proc		\
 		Plwp_getpsinfo.3proc		\
 		Plwp_getregs.3proc		\
 		Plwp_getspymaster.3proc		\
@@ -160,10 +161,10 @@
 		Pwrite.3proc			\
 		Pxecbkpt.3proc			\
 		Pzonename.3proc			\
-	 	ps_lgetregs.3proc		\
-	 	ps_pglobal_lookup.3proc		\
-	 	ps_pread.3proc			\
-	 	ps_pstop.3proc
+		ps_lgetregs.3proc		\
+		ps_pglobal_lookup.3proc		\
+		ps_pread.3proc			\
+		ps_pstop.3proc
 
 
 MANLINKS=					\
@@ -265,7 +266,7 @@
 		Pxlookup_by_name.3proc		\
 		Pxsymbol_iter.3proc		\
 		Pzonepath.3proc			\
-		Pzoneroot.3proc			
+		Pzoneroot.3proc
 
 
 ps_lgetfpregs.3proc		:= LINKSRC = ps_lgetregs.3proc
--- old/usr/src/man/man3proc/Paddr_to_ctf.3proc	Mon Oct 15 13:25:54 2018
+++ new/usr/src/man/man3proc/Paddr_to_ctf.3proc	Mon Oct 15 13:25:54 2018
@@ -19,8 +19,9 @@
 .Nm Plmid_to_ctf ,
 .Nm Pname_to_ctf
 .Nd lookup CTF data
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "ctf_file_t *"
 .Fo Paddr_to_ctf
--- old/usr/src/man/man3proc/Paddr_to_loadobj.3proc	Mon Oct 15 13:25:57 2018
+++ new/usr/src/man/man3proc/Paddr_to_loadobj.3proc	Mon Oct 15 13:25:57 2018
@@ -19,8 +19,9 @@
 .Nm Plmid_to_loadobj ,
 .Nm Pname_to_loadobj
 .Nd lookup loaded object information
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const rd_loadobj_t *"
 .Fo Paddr_to_loadobj
--- old/usr/src/man/man3proc/Paddr_to_map.3proc	Mon Oct 15 13:26:01 2018
+++ new/usr/src/man/man3proc/Paddr_to_map.3proc	Mon Oct 15 13:26:01 2018
@@ -20,8 +20,9 @@
 .Nm Plmid_to_map ,
 .Nm Pname_to_map
 .Nd lookup memory map information
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const prmap_t *"
 .Fo Paddr_to_map
--- old/usr/src/man/man3proc/Pasfd.3proc	Mon Oct 15 13:26:07 2018
+++ new/usr/src/man/man3proc/Pasfd.3proc	Mon Oct 15 13:26:07 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pasfd
 .Nd obtain the process address space file descriptor
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pasfd
--- old/usr/src/man/man3proc/Pclearfault.3proc	Mon Oct 15 13:26:11 2018
+++ new/usr/src/man/man3proc/Pclearfault.3proc	Mon Oct 15 13:26:11 2018
@@ -18,8 +18,9 @@
 .Nm Pclearfault ,
 .Nm Lclearfault
 .Nd clear process and thread faults
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pclearfault
--- old/usr/src/man/man3proc/Pclearsig.3proc	Mon Oct 15 13:26:14 2018
+++ new/usr/src/man/man3proc/Pclearsig.3proc	Mon Oct 15 13:26:15 2018
@@ -18,8 +18,9 @@
 .Nm Pclearsig ,
 .Nm Lclearsig
 .Nd clear process signals
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pclearsig
--- old/usr/src/man/man3proc/Pcontent.3proc	Mon Oct 15 13:26:18 2018
+++ new/usr/src/man/man3proc/Pcontent.3proc	Mon Oct 15 13:26:18 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pconent
 .Nd obtain process content types available
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "core_content_t"
 .Fo Pcontent
--- old/usr/src/man/man3proc/Pcreate.3proc	Mon Oct 15 13:26:22 2018
+++ new/usr/src/man/man3proc/Pcreate.3proc	Mon Oct 15 13:26:22 2018
@@ -19,8 +19,9 @@
 .Nm Pxcreate ,
 .Nm Pcreate_callback
 .Nd create and control a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "struct ps_prochandle *"
 .Fo Pcreate
--- old/usr/src/man/man3proc/Pcreate_agent.3proc	Mon Oct 15 13:26:25 2018
+++ new/usr/src/man/man3proc/Pcreate_agent.3proc	Mon Oct 15 13:26:25 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pcreate_agent
 .Nd create the agent LWP
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pcreate_agent
--- old/usr/src/man/man3proc/Pcreate_error.3proc	Mon Oct 15 13:26:26 2018
+++ new/usr/src/man/man3proc/Pcreate_error.3proc	Mon Oct 15 13:26:26 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pcreate_error
 .Nd get Pcreate, Pxcreate error message string
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const char *"
 .Fo Pcreate_error
--- old/usr/src/man/man3proc/Pcred.3proc	Mon Oct 15 13:26:28 2018
+++ new/usr/src/man/man3proc/Pcred.3proc	Mon Oct 15 13:26:28 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pcred
 .Nd obtain process credentials
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pcred
--- old/usr/src/man/man3proc/Pctlfd.3proc	Mon Oct 15 13:26:31 2018
+++ new/usr/src/man/man3proc/Pctlfd.3proc	Mon Oct 15 13:26:31 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pctlfd
 .Nd obtain the process control file descriptor
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pctlfd
--- old/usr/src/man/man3proc/Pdelbkpt.3proc	Mon Oct 15 13:26:34 2018
+++ new/usr/src/man/man3proc/Pdelbkpt.3proc	Mon Oct 15 13:26:35 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pdelbkpt
 .Nd clear a breakpoint in a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pdelbkpt
--- old/usr/src/man/man3proc/Pdelwapt.3proc	Mon Oct 15 13:26:38 2018
+++ new/usr/src/man/man3proc/Pdelwapt.3proc	Mon Oct 15 13:26:38 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pdelwapt
 .Nd remove a watchpoint in a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pdelwapt
--- old/usr/src/man/man3proc/Pdestroy_agent.3proc	Mon Oct 15 13:26:41 2018
+++ new/usr/src/man/man3proc/Pdestroy_agent.3proc	Mon Oct 15 13:26:41 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pdestroy_agent
 .Nd destroy the agent LWP
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Pdestroy_agent
--- old/usr/src/man/man3proc/Penv_iter.3proc	Mon Oct 15 13:26:44 2018
+++ new/usr/src/man/man3proc/Penv_iter.3proc	Mon Oct 15 13:26:44 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Penv_iter
 .Nd iterate process environment
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Penv_iter
--- old/usr/src/man/man3proc/Pexecname.3proc	Mon Oct 15 13:26:46 2018
+++ new/usr/src/man/man3proc/Pexecname.3proc	Mon Oct 15 13:26:47 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pexecname
 .Nd obtain full path to process executable
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "char *"
 .Fo Pexecname
--- old/usr/src/man/man3proc/Pfault.3proc	Mon Oct 15 13:26:51 2018
+++ new/usr/src/man/man3proc/Pfault.3proc	Mon Oct 15 13:26:51 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pfault
 .Nd enable and disable the tracing of faults
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "int"
 .Fo Pfault
--- old/usr/src/man/man3proc/Pfdinfo_iter.3proc	Mon Oct 15 13:26:56 2018
+++ new/usr/src/man/man3proc/Pfdinfo_iter.3proc	Mon Oct 15 13:26:56 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pfdinfo_iter
 .Nd iterate open files in a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pfdinfo_iter
--- old/usr/src/man/man3proc/Pgetareg.3proc	Mon Oct 15 13:26:59 2018
+++ new/usr/src/man/man3proc/Pgetareg.3proc	Mon Oct 15 13:26:59 2018
@@ -20,8 +20,9 @@
 .Nm Lgetareg ,
 .Nm Lputareg
 .Nd set and get a register from a stopped process or thread
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pgetareg
--- old/usr/src/man/man3proc/Pgetauxval.3proc	Mon Oct 15 13:27:02 2018
+++ new/usr/src/man/man3proc/Pgetauxval.3proc	Mon Oct 15 13:27:02 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pgetauxval
 .Nd obtain auxiliary vector value
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pgetauxval
--- old/usr/src/man/man3proc/Pgetauxvec.3proc	Mon Oct 15 13:27:04 2018
+++ new/usr/src/man/man3proc/Pgetauxvec.3proc	Mon Oct 15 13:27:04 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pgetauxvec
 .Nd obtain process auxiliary vector
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const auxv_t *"
 .Fo Pgetauxvec
--- old/usr/src/man/man3proc/Pgetenv.3proc	Mon Oct 15 13:27:07 2018
+++ new/usr/src/man/man3proc/Pgetenv.3proc	Mon Oct 15 13:27:07 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pgetenv
 .Nd get process environment variable
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "char *"
 .Fo Pgetenv
--- old/usr/src/man/man3proc/Pgrab.3proc	Mon Oct 15 13:27:09 2018
+++ new/usr/src/man/man3proc/Pgrab.3proc	Mon Oct 15 13:27:09 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pgrab
 .Nd grab and control a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "struct ps_prochandle *"
 .Fo Pgrab
--- old/usr/src/man/man3proc/Pgrab_core.3proc	Mon Oct 15 13:27:11 2018
+++ new/usr/src/man/man3proc/Pgrab_core.3proc	Mon Oct 15 13:27:11 2018
@@ -18,8 +18,9 @@
 .Nm Pgrab_core ,
 .Nm Pfgrab_core
 .Nd grab a core file
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "struct ps_prochandle *"
 .Fo Pgrab_core
--- old/usr/src/man/man3proc/Pgrab_error.3proc	Mon Oct 15 13:27:12 2018
+++ new/usr/src/man/man3proc/Pgrab_error.3proc	Mon Oct 15 13:27:12 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pgrab_error
 .Nd get Pgrab error message string
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const char *"
 .Fo Pgrab_error
--- old/usr/src/man/man3proc/Pgrab_file.3proc	Mon Oct 15 13:27:16 2018
+++ new/usr/src/man/man3proc/Pgrab_file.3proc	Mon Oct 15 13:27:16 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pgrab_file
 .Nd grab and inspect an ELF object
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft struct ps_prochandle
 .Fo Pgrab_file
--- old/usr/src/man/man3proc/Pisprocdir.3proc	Mon Oct 15 13:27:21 2018
+++ new/usr/src/man/man3proc/Pisprocdir.3proc	Mon Oct 15 13:27:21 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pisprocdir
 .Nd determine if a directory is the /proc directory
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pisprocdir
--- old/usr/src/man/man3proc/Pissyscall.3proc	Mon Oct 15 13:27:25 2018
+++ new/usr/src/man/man3proc/Pissyscall.3proc	Mon Oct 15 13:27:25 2018
@@ -18,8 +18,9 @@
 .Nm Pissyscall ,
 .Nm Pissyscall_prev
 .Nd determine if instructions are system call instructions
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pissyscall
--- old/usr/src/man/man3proc/Pldt.3proc	Mon Oct 15 13:27:29 2018
+++ new/usr/src/man/man3proc/Pldt.3proc	Mon Oct 15 13:27:29 2018
@@ -18,8 +18,9 @@
 .Nm Pldt ,
 .Nm proc_get_ldt
 .Nd obtain local descriptor table of a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pldt
--- old/usr/src/man/man3proc/Plmid.3proc	Mon Oct 15 13:27:35 2018
+++ new/usr/src/man/man3proc/Plmid.3proc	Mon Oct 15 13:27:35 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Plmid
 .Nd get the link-map identifier of an address
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plmid
--- old/usr/src/man/man3proc/Plookup_by_addr.3proc	Mon Oct 15 13:27:40 2018
+++ new/usr/src/man/man3proc/Plookup_by_addr.3proc	Mon Oct 15 13:27:40 2018
@@ -21,8 +21,9 @@
 .Nm Plookup_by_name ,
 .Nm Pxlookup_by_name
 .Nd lookup symbols in a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plookup_by_addr
--- old/usr/src/man/man3proc/Plwp_getasrs.3proc	Mon Oct 15 13:27:45 2018
+++ new/usr/src/man/man3proc/Plwp_getasrs.3proc	Mon Oct 15 13:27:46 2018
@@ -18,8 +18,9 @@
 .Nm Plwp_getasrs ,
 .Nm Plwp_setasrs
 .Nd get and set SPARCv9 ancillary state registers
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plwp_getasrs
--- /dev/null	Mon Oct 15 13:27:51 2018
+++ new/usr/src/man/man3proc/Plwp_getname.3proc	Mon Oct 15 13:27:51 2018
@@ -0,0 +1,95 @@
+.\"
+.\" This file and its contents are supplied under the terms of the
+.\" Common Development and Distribution License ("CDDL"), version 1.0.
+.\" You may only use this file in accordance with the terms of version
+.\" 1.0 of the CDDL.
+.\"
+.\" A full copy of the text of the CDDL should have accompanied this
+.\" source.  A copy of the CDDL is also available via the Internet at
+.\" http://www.illumos.org/license/CDDL.
+.\"
+.\"
+.\" Copyright 2018 Joyent, Inc.
+.\"
+.Dd August 31, 2018
+.Dt PLWP_GETNAME 3PROC
+.Os
+.Sh NAME
+.Nm Plwp_getname
+.Nd get thread name
+.Sh LIBRARY
+.Lb libproc
+.Sh SYNOPSIS
+.In libproc.h
+.Ft int
+.Fo Plwp_getname
+.Fa "struct ps_prochandle *P"
+.Fa "lwpid_t lwpid"
+.Fa "char *buf"
+.Fa "size_t bufsize"
+.Fc
+.Sh DESCRIPTION
+The
+.Fn Plwp_getname
+function returns the thread name in the supplied buffer, from the
+thread
+.Fa lwpid
+in the process handle
+.Fa P .
+.Pp
+If no thread name is set, the buffer is set to the empty string.
+The buffer should be at least
+.Dv THREAD_NAME_MAX
+in size.
+.Pp
+The
+.Fn Plwp_getname
+function only works on process handles that refer to active processes
+and core files, it does not work on process handles that refer to
+individual files.
+.Sh RETURN VALUES
+Upon successful completion, the
+.Fn Plwp_getname
+function returns 0.
+Otherwise,
+.Sy -1
+is returned,
+.Sy errno
+is set to indicate the error.
+The buffer may be modified even if an error is returned.
+.Sh ERRORS
+For a full list of possible errors also see the
+.Sy DIAGNOSTICS
+section in
+.Xr proc 4 .
+.Pp
+The
+.Fn Plwp_getname
+function will fail if:
+.Bl -tag -width Er
+.It Er ENODATA
+.Fa P
+refers to a file handle obtained through
+.Xr Pgrab_file 3PROC .
+.It Er EINVAL
+The process handle
+.Fa P
+refers to a core file and the specified thread does not exist.
+.It Er ENOENT
+The process handle
+.Fa P
+refers to an active process and the specified thread does not exist.
+.Fa P
+.It Er ENAMETOOLONG
+The buffer is not sufficient to hold the thread name.
+.El
+.Sh INTERFACE STABILITY
+.Sy Uncommitted
+.Sh MT-LEVEL
+See
+.Sy LOCKING
+in
+.Xr libproc 3LIB .
+.Sh SEE ALSO
+.Xr libproc 3LIB ,
+.Xr proc 4
--- old/usr/src/man/man3proc/Plwp_getpsinfo.3proc	Mon Oct 15 13:27:53 2018
+++ new/usr/src/man/man3proc/Plwp_getpsinfo.3proc	Mon Oct 15 13:27:53 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Plwp_getpsinfo
 .Nd get thread specific ps information
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plwp_getpsinfo
--- old/usr/src/man/man3proc/Plwp_getregs.3proc	Mon Oct 15 13:27:57 2018
+++ new/usr/src/man/man3proc/Plwp_getregs.3proc	Mon Oct 15 13:27:57 2018
@@ -20,8 +20,9 @@
 .Nm Plwp_getregs ,
 .Nm Plwp_setregs
 .Nd get and set thread registers
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plwp_getfpregs
--- old/usr/src/man/man3proc/Plwp_getspymaster.3proc	Mon Oct 15 13:28:01 2018
+++ new/usr/src/man/man3proc/Plwp_getspymaster.3proc	Mon Oct 15 13:28:01 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Plwp_getspymaster
 .Nd get agent LWP spy master information
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plwp_getspymaster
--- old/usr/src/man/man3proc/Plwp_getxregs.3proc	Mon Oct 15 13:28:04 2018
+++ new/usr/src/man/man3proc/Plwp_getxregs.3proc	Mon Oct 15 13:28:04 2018
@@ -18,8 +18,9 @@
 .Nm Plwp_getxregs ,
 .Nm Plwp_setxregs
 .Nd get and set extended register state
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plwp_getxregs
--- old/usr/src/man/man3proc/Plwp_iter.3proc	Mon Oct 15 13:28:08 2018
+++ new/usr/src/man/man3proc/Plwp_iter.3proc	Mon Oct 15 13:28:08 2018
@@ -18,8 +18,9 @@
 .Nm Plwp_iter ,
 .Nm Plwp_iter_all
 .Nd iterate over threads
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plwp_iter
--- old/usr/src/man/man3proc/Plwp_stack.3proc	Mon Oct 15 13:28:10 2018
+++ new/usr/src/man/man3proc/Plwp_stack.3proc	Mon Oct 15 13:28:10 2018
@@ -22,8 +22,9 @@
 .Nm Lalt_stack ,
 .Nm Lmain_stack
 .Nd get thread stack information
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Plwp_stack
--- old/usr/src/man/man3proc/Pmapping_iter.3proc	Mon Oct 15 13:28:15 2018
+++ new/usr/src/man/man3proc/Pmapping_iter.3proc	Mon Oct 15 13:28:15 2018
@@ -20,8 +20,9 @@
 .Nm Pobject_iter ,
 .Nm Pobject_iter_resolved
 .Nd iterate over process mappings and objects
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pmapping_iter
--- old/usr/src/man/man3proc/Pobjname.3proc	Mon Oct 15 13:28:20 2018
+++ new/usr/src/man/man3proc/Pobjname.3proc	Mon Oct 15 13:28:20 2018
@@ -18,8 +18,9 @@
 .Nm Pobjname ,
 .Nm Pobjname_resolved
 .Nd turn a virtual address into its mapped object
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "char *"
 .Fo Pobjname
--- old/usr/src/man/man3proc/Pplatform.3proc	Mon Oct 15 13:28:24 2018
+++ new/usr/src/man/man3proc/Pplatform.3proc	Mon Oct 15 13:28:24 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pplatform
 .Nd get platform string
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "char *"
 .Fo Pplatform
--- old/usr/src/man/man3proc/Ppltdest.3proc	Mon Oct 15 13:28:27 2018
+++ new/usr/src/man/man3proc/Ppltdest.3proc	Mon Oct 15 13:28:27 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Ppltdest
 .Nd determine PLT destination symbol
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const char *"
 .Fo Ppltdest
--- old/usr/src/man/man3proc/Ppriv.3proc	Mon Oct 15 13:28:29 2018
+++ new/usr/src/man/man3proc/Ppriv.3proc	Mon Oct 15 13:28:29 2018
@@ -18,8 +18,9 @@
 .Nm Ppriv ,
 .Nm Ppriv_free
 .Nd get and free process privilege sets
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Ppriv
--- old/usr/src/man/man3proc/Ppsinfo.3proc	Mon Oct 15 13:28:30 2018
+++ new/usr/src/man/man3proc/Ppsinfo.3proc	Mon Oct 15 13:28:30 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Ppsinfo
 .Nd get process ps information
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const psinfo_t *"
 .Fo Ppsinfo
--- old/usr/src/man/man3proc/Prd_agent.3proc	Mon Oct 15 13:28:31 2018
+++ new/usr/src/man/man3proc/Prd_agent.3proc	Mon Oct 15 13:28:31 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Prd_agent
 .Nd get librtld_db agent
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "rd_agent_t *"
 .Fo Prd_agent
--- old/usr/src/man/man3proc/Pread.3proc	Mon Oct 15 13:28:31 2018
+++ new/usr/src/man/man3proc/Pread.3proc	Mon Oct 15 13:28:31 2018
@@ -18,8 +18,9 @@
 .Nm Pread ,
 .Nm Pread_string
 .Nd read data from a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft ssize_t
 .Fo Pread
--- old/usr/src/man/man3proc/Prelease.3proc	Mon Oct 15 13:28:31 2018
+++ new/usr/src/man/man3proc/Prelease.3proc	Mon Oct 15 13:28:31 2018
@@ -18,8 +18,9 @@
 .Nm Prelease ,
 .Nm Pfree
 .Nd release a process control handle
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Prelease
--- old/usr/src/man/man3proc/Preopen.3proc	Mon Oct 15 13:28:31 2018
+++ new/usr/src/man/man3proc/Preopen.3proc	Mon Oct 15 13:28:31 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Preopen
 .Nd reopen a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Preopen
--- old/usr/src/man/man3proc/Preset_maps.3proc	Mon Oct 15 13:28:32 2018
+++ new/usr/src/man/man3proc/Preset_maps.3proc	Mon Oct 15 13:28:32 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Preset_maps
 .Nd reset memory mapping data after exec
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Preset_maps
--- old/usr/src/man/man3proc/Psecflags.3proc	Mon Oct 15 13:28:33 2018
+++ new/usr/src/man/man3proc/Psecflags.3proc	Mon Oct 15 13:28:33 2018
@@ -18,8 +18,9 @@
 .Nm Psecflags ,
 .Nm Psecflags_free
 .Nd get and free process security flags
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psecflags
--- old/usr/src/man/man3proc/Psetbkpt.3proc	Mon Oct 15 13:28:33 2018
+++ new/usr/src/man/man3proc/Psetbkpt.3proc	Mon Oct 15 13:28:33 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psetbkpt
 .Nd set a breakpoint trap in a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psetbkpt
--- old/usr/src/man/man3proc/Psetcred.3proc	Mon Oct 15 13:28:33 2018
+++ new/usr/src/man/man3proc/Psetcred.3proc	Mon Oct 15 13:28:33 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psetcred
 .Nd set process credentials
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psetcred
--- old/usr/src/man/man3proc/Psetfault.3proc	Mon Oct 15 13:28:34 2018
+++ new/usr/src/man/man3proc/Psetfault.3proc	Mon Oct 15 13:28:34 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psetfault
 .Nd set fault tracing flags
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Psetfault
--- old/usr/src/man/man3proc/Psetflags.3proc	Mon Oct 15 13:28:34 2018
+++ new/usr/src/man/man3proc/Psetflags.3proc	Mon Oct 15 13:28:34 2018
@@ -18,8 +18,9 @@
 .Nm Psetflags ,
 .Nm Punsetflags
 .Nd set and unset process flags
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psetflags
--- old/usr/src/man/man3proc/Psetpriv.3proc	Mon Oct 15 13:28:34 2018
+++ new/usr/src/man/man3proc/Psetpriv.3proc	Mon Oct 15 13:28:34 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psetpriv
 .Nd set process privileges
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psetpriv
--- old/usr/src/man/man3proc/Psetrun.3proc	Mon Oct 15 13:28:34 2018
+++ new/usr/src/man/man3proc/Psetrun.3proc	Mon Oct 15 13:28:34 2018
@@ -18,8 +18,9 @@
 .Nm Psetrun ,
 .Nm Lsetrun
 .Nd run a stopped process or thread
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psetrun
--- old/usr/src/man/man3proc/Psetsignal.3proc	Mon Oct 15 13:28:35 2018
+++ new/usr/src/man/man3proc/Psetsignal.3proc	Mon Oct 15 13:28:35 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psetsignal
 .Nd set signal tracing flags
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Psetsignal
--- old/usr/src/man/man3proc/Psetsysentry.3proc	Mon Oct 15 13:28:35 2018
+++ new/usr/src/man/man3proc/Psetsysentry.3proc	Mon Oct 15 13:28:35 2018
@@ -18,8 +18,9 @@
 .Nm Psetsysentry ,
 .Nm Psetsysexit
 .Nd set system call tracing flags
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Psetsysentry
--- old/usr/src/man/man3proc/Psetwapt.3proc	Mon Oct 15 13:28:35 2018
+++ new/usr/src/man/man3proc/Psetwapt.3proc	Mon Oct 15 13:28:35 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psetwapt
 .Nd set a watchpoint in a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psetwapt
--- old/usr/src/man/man3proc/Psetzoneid.3proc	Mon Oct 15 13:28:35 2018
+++ new/usr/src/man/man3proc/Psetzoneid.3proc	Mon Oct 15 13:28:35 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psetzoneid
 .Nd change processes zone id
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psetzoneid
--- old/usr/src/man/man3proc/Psignal.3proc	Mon Oct 15 13:28:35 2018
+++ new/usr/src/man/man3proc/Psignal.3proc	Mon Oct 15 13:28:35 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Psignal
 .Nd set signal tracing action
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psignal
--- old/usr/src/man/man3proc/Pstack_iter.3proc	Mon Oct 15 13:28:36 2018
+++ new/usr/src/man/man3proc/Pstack_iter.3proc	Mon Oct 15 13:28:36 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pstack_iter
 .Nd iterate process stack frames
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pstack_iter
--- old/usr/src/man/man3proc/Pstate.3proc	Mon Oct 15 13:28:36 2018
+++ new/usr/src/man/man3proc/Pstate.3proc	Mon Oct 15 13:28:36 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pstate
 .Nd obtain process handle state
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pstate
--- old/usr/src/man/man3proc/Pstatus.3proc	Mon Oct 15 13:28:36 2018
+++ new/usr/src/man/man3proc/Pstatus.3proc	Mon Oct 15 13:28:36 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pstatus
 .Nd obtain process status structure
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft "const pstatus_t *"
 .Fo Pstatus
--- old/usr/src/man/man3proc/Pstopstatus.3proc	Mon Oct 15 13:28:36 2018
+++ new/usr/src/man/man3proc/Pstopstatus.3proc	Mon Oct 15 13:28:36 2018
@@ -23,8 +23,9 @@
 .Nm Lstop ,
 .Nm Lwait
 .Nd process and thread stop operations
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Pdstop
--- old/usr/src/man/man3proc/Psymbol_iter.3proc	Mon Oct 15 13:28:37 2018
+++ new/usr/src/man/man3proc/Psymbol_iter.3proc	Mon Oct 15 13:28:37 2018
@@ -21,8 +21,9 @@
 .Nm Psymbol_iter_by_name ,
 .Nm Pxsymbol_iter
 .Nd iterate symbols in a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psymbol_iter
--- old/usr/src/man/man3proc/Psync.3proc	Mon Oct 15 13:28:37 2018
+++ new/usr/src/man/man3proc/Psync.3proc	Mon Oct 15 13:28:37 2018
@@ -18,8 +18,9 @@
 .Nm Psync ,
 .Nm Lsync
 .Nd synchronize cached tracing flags and modifications
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Psync
--- old/usr/src/man/man3proc/Psysentry.3proc	Mon Oct 15 13:28:37 2018
+++ new/usr/src/man/man3proc/Psysentry.3proc	Mon Oct 15 13:28:37 2018
@@ -18,8 +18,9 @@
 .Nm Psysentry ,
 .Nm Psysexit
 .Nd set system call entry and exit actions
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Psysentry
--- old/usr/src/man/man3proc/Puname.3proc	Mon Oct 15 13:28:37 2018
+++ new/usr/src/man/man3proc/Puname.3proc	Mon Oct 15 13:28:37 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Puname
 .Nd get uname information from a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft int
 .Fo Puname
--- old/usr/src/man/man3proc/Pupdate_maps.3proc	Mon Oct 15 13:28:37 2018
+++ new/usr/src/man/man3proc/Pupdate_maps.3proc	Mon Oct 15 13:28:37 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pupdate_maps
 .Nd update address space mappings
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Pupdate_maps
--- old/usr/src/man/man3proc/Pupdate_syms.3proc	Mon Oct 15 13:28:38 2018
+++ new/usr/src/man/man3proc/Pupdate_syms.3proc	Mon Oct 15 13:28:38 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pupdate_syms
 .Nd update cached symbol tables
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft void
 .Fo Pupdate_syms
--- old/usr/src/man/man3proc/Pwrite.3proc	Mon Oct 15 13:28:38 2018
+++ new/usr/src/man/man3proc/Pwrite.3proc	Mon Oct 15 13:28:38 2018
@@ -17,8 +17,9 @@
 .Sh NAME
 .Nm Pwrite
 .Nd write data to the address space of a process
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft ssize_t
 .Fo Pwrite
--- old/usr/src/man/man3proc/Pzonename.3proc	Mon Oct 15 13:28:38 2018
+++ new/usr/src/man/man3proc/Pzonename.3proc	Mon Oct 15 13:28:38 2018
@@ -19,8 +19,9 @@
 .Nm Pzoneroot ,
 .Nm Pzonepath
 .Nd get zone name, root, and full object path
-.Sh SYNOPSIS
+.Sh LIBRARY
 .Lb libproc
+.Sh SYNOPSIS
 .In libproc.h
 .Ft char *
 .Fo Pzonename
--- old/usr/src/pkg/manifests/system-dtrace-tests.mf	Mon Oct 15 13:28:39 2018
+++ new/usr/src/pkg/manifests/system-dtrace-tests.mf	Mon Oct 15 13:28:39 2018
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012, 2016 by Delphix. All rights reserved.
+# Copyright 2018 Joyent, Inc.
 #
 
 set name=pkg.fmri value=pkg:/system/dtrace/tests@$(PKGVERS)
@@ -115,6 +116,7 @@
 dir path=opt/SUNWdtrt/tst/common/sugar
 dir path=opt/SUNWdtrt/tst/common/syscall
 dir path=opt/SUNWdtrt/tst/common/sysevent
+dir path=opt/SUNWdtrt/tst/common/threadname
 dir path=opt/SUNWdtrt/tst/common/tick-n
 dir path=opt/SUNWdtrt/tst/common/trace
 dir path=opt/SUNWdtrt/tst/common/tracemem
@@ -1846,6 +1848,8 @@
 file path=opt/SUNWdtrt/tst/common/sysevent/tst.post.exe mode=0555
 file path=opt/SUNWdtrt/tst/common/sysevent/tst.post_chan.d mode=0444
 file path=opt/SUNWdtrt/tst/common/sysevent/tst.post_chan.exe mode=0555
+file path=opt/SUNWdtrt/tst/common/threadname/tst.threadname.d mode=0444
+file path=opt/SUNWdtrt/tst/common/threadname/tst.threadname.exe mode=0555
 file path=opt/SUNWdtrt/tst/common/tick-n/err.D_PDESC_ZERO.tick.d mode=0444
 file path=opt/SUNWdtrt/tst/common/tick-n/err.D_PDESC_ZEROonens.d mode=0444
 file path=opt/SUNWdtrt/tst/common/tick-n/err.D_PDESC_ZEROonensec.d mode=0444
